cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dizzzz <DiZ...@gmx.net>
Subject cocoon 2.0.1/tomcat 4.0.2/jdk 1.4.0
Date Sat, 23 Feb 2002 13:57:07 GMT
Hi,

does the newest cocoon NOT work together with sun's jdk 1.4.0 ?

target: linux (debian) and even solaris (8)

error:

>Cocoon 2 - Internal server error
>
>--------------------------------------------------------------------------------
>
>type fatal
>
>message Language Exception
>
>description org.apache.cocoon.ProcessingException: Language Exception: 
>org.apache.cocoon.components.language.LanguageException: Error compiling 
>sitemap_xmap: Line 0, column 0: could not parse error message: error: 
>Invalid class file format in 
>/space/bin/jdk1.4.0/jre/lib/rt.jar(java/io/OutputStream.class). The 
>major.minor version '48.0' is too recent for this tool to understand. 
>/space/bin/jakarta-tomcat-4.0.2/work/localhost/cocoon/cocoon-files/org/apache/cocoon/www/sitemap_xmap.java:12:

>Class java.io.OutputStream not found in import. import 
>java.io.OutputStream; ^ Line 0, column 0: could not parse error message: 
>error: Invalid class file format in 
>/space/bin/jdk1.4.0/jre/lib/rt.jar(java/io/IOException.class). The 
>major.minor version '48.0' is too recent for this tool to understand. 
>/space/bin/jakarta-tomcat-4.0.2/work/localhost/cocoon/cocoon-files/org/apache/cocoon/www/sitemap_xmap.java:13:

>Class java.io.IOException not found in import. import java.io.IOException; 
>^ Line 0, column 0: could not parse error message: error: Invalid class 
>file format in /space/bin/jdk1.4.0/jre/lib/rt.jar(java/util/List.class). 
>The major.minor version '48.0' is too recent for this tool to understand. 
>/space/bin/jakarta-tomcat-4.0.2/work/localhost/cocoon/cocoon-files/org/apache/cocoon/www/sitemap_xmap.java:15:

>Class java.util.List not found in import. import java.util.List; ^ Line 0, 
>column 0: could not parse error message: error: Invalid class file format 
>in /space/bin/jdk1.4.0/jre/lib/rt.jar(java/util/ArrayList.class). The 
>major.minor version '48.0' is too recent for this tool to understand. 
>/space/bin/jakarta-tomcat-4.0.2/work/localhost/cocoon/cocoon-files/org/apache/cocoon/www/sitemap_xmap.java:16:

>Class java.util.ArrayList not found in import. import java.util.ArrayList; 
>^ Line 0, column 0: could not parse error message: error: Invalid class 
>file format in /space/bin/jdk1.4.0/jre/lib/rt.jar(java/util/Map.class). 
>The major.minor version '48.0' is too recent for this tool to understand. 
>/space/bin/jakarta-tomcat-4.0.2/work/localhost/cocoon/cocoon-files/org/apache/cocoon/www/sitemap_xmap.java:17:

>Class java.util.Map not found in import. import java.util.Map; ^ Line 0, 
>column 0: could not parse error message: error: Invalid class file format 
>in /space/bin/jdk1.4.0/jre/lib/rt.jar(java/util/HashMap.class). The 
>major.minor version '48.0' is too recent for this tool to understand. 
>/space/bin/jakarta-tomcat-4.0.2/work/localhost/cocoon/cocoon-files/org/apache/cocoon/www/sitemap_xmap.java:18:

>Class java.util.HashMap not found in import. import java.util.HashMap; ^ 
>Line 0, column 0: could not parse error message: error: Invalid class file 
>format in /space/bin/jdk1.4.0/jre/lib/rt.jar(java/util/Stack.class). The 
>major.minor version '48.0' is too recent for this tool to understand. 
>/space/bin/jakarta-tomcat-4.0.2/work/localhost/cocoon/cocoon-files/org/apache/cocoon/www/sitemap_xmap.java:19:

>Class java.util.Stack not found in import. import java.util.Stack; ^ Line 
>0, column 0: could not parse error message: error: Invalid class file 
>format in 
>/space/bin/jdk1.4.0/jre/lib/rt.jar(java/util/StringTokenizer.class). The 
>major.minor version '48.0' is too recent for this tool to understand. 
>/space/bin/jakarta-tomcat-4.0.2/work/localhost/cocoon/cocoon-files/org/apache/cocoon/www/sitemap_xmap.java:20:

>Class java.util.StringTokenizer not found in import. import 
>java.util.StringTokenizer; ^ Line 0, column 0: error: Invalid class file 
>format in /space/bin/jdk1.4.0/jre/lib/rt.jar(java/lang/Object.class). The 
>major.minor version '48.0' is too recent for this tool to understand. 
>error: Class java.lang.Object not found in class 
>org.apache.avalon.framework.logger.AbstractLoggable. 18 errors
>
>sender org.apache.cocoon.servlet.CocoonServlet
>
>source Cocoon servlet
>
>request-uri
>
>/cocoon/
>
>path-info
>
>
>
>--------------------------------------------------------------------------------


any clues?
jdk131 works very fine anyway.

note: "The major.minor version '48.0' is too recent for this tool to 
understand."

cheers

Dannes




---------------------------------------------------------------------
Please check that your question has not already been answered in the
FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>

To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail: <cocoon-users-help@xml.apache.org>


Mime
View raw message